com.verisign.epp.codec.registry.v02

## Enum EPPRegistryZoneName.Form

- java.lang.Object
- - java.lang.Enum<EPPRegistryZoneName.Form>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryZoneName.Form

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPRegistryZoneName.Form>
  Enclosing class:
    EPPRegistryZoneName

      public static enum EPPRegistryZoneName.Form
      extends java.lang.Enum<EPPRegistryZoneName.Form>

  Possible values for the `form` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `aLabel` The "aLabel" form of a zone name contains all ASCII name labels that conform to [RFC0952] and [RFC1123].
    `uLabel` The "uLabel" form of a zone name that includes one or more non-ASCII name labels that can be represented as ASCII labels using [RFC5890].

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPRegistryZoneName.Form` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPRegistryZoneName.Form[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### aLabel

          public static final EPPRegistryZoneName.Form aLabel

      The "aLabel" form of a zone name contains all ASCII name labels that conform to [RFC0952] and [RFC1123].

    - #### uLabel

          public static final EPPRegistryZoneName.Form uLabel

      The "uLabel" form of a zone name that includes one or more non-ASCII name labels that can be represented as ASCII labels using [RFC5890].

  - ### Method Detail

    - #### values

          public static EPPRegistryZoneName.Form[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryZoneName.Form c : EPPRegistryZoneName.Form.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryZoneName.Form valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null